﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <title>@ViewData["Title"] - WoWthing</title>
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png" asp-append-version="true">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png" asp-append-version="true">
    <link rel="stylesheet" asp-href-include="~/dist/home.*css">
    @RenderSection("head", required: false)
</head>
<body>
    <header>
        <nav class="nav">
            <ul>
                <li class="header-title">
                    <a href="/">WoWthing</a>
                </li>
                @if (User.Identity.IsAuthenticated)
                {
                    <li>
                        <a asp-controller="User" asp-action="Index" asp-route-username="@User.Identity.Name">Home</a>
                    </li>
                    <li>
                        <a asp-controller="Upload" asp-action="Index">Upload</a>
                    </li>
                }
            </ul>
            <ul>
                @if (User.Identity.IsAuthenticated)
                {
                    <li>@User.Identity.Name</li>
                    <li>
                        <a asp-controller="Authentication" asp-action="Logout">Logout</a>
                    </li>
                }
                else
                {
                    <li>
                        <a asp-controller="Authentication" asp-action="Login">Login/Register with Battle.Net</a>
                    </li>
                }
            </ul>
        </nav>
    </header>
    <main>
        @RenderBody()

        <footer>
            <ul>
                <li>
                    <a href="https://discord.gg/4UkTT5y">Discord</a>
                </li>
                <li>
                    <a href="https://gitlab.com/thing-engineering/wowthing/wowthing-again">GitLab</a> (code/issues)
                </li>
            </ul>
            <ul>
                <li>
                    <div>Favicon made by <a href="https://www.freepik.com" title="Freepik">Freepik</a> from <a href="https://www.flaticon.com/" title="Flaticon">www.flaticon.com</a></div>
                </li>
            </ul>
        </footer>
</main>

    <script type="text/javascript" src="https://www.wowdb.com/current/js/syndication/tt.js"></script>
    @RenderSection("scripts", required: false)
</body>
</html>
